<?php

function renderFloFormElement($b, $element, $custom_classes, $elStyles, $colors, $viewport) {
  $data = $element['data'];
  $user_data = $data['user_data'];

  if(isset($user_data['floFormShortcode']) && strlen($user_data['floFormShortcode'])) {
    ob_start();
    ob_clean();
    echo do_shortcode($user_data['floFormShortcode']);

    $floform = ob_get_clean();
    $elMarkup = '<div class="'.$b.'__element '.$b.'__element--'.$element["id"].' '.$b.'__element--floform '.$custom_classes.'" style="'.$elStyles.'">'.$floform.'</div>';
    return $elMarkup;
  }
}
